#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	MIME-Encodings
Summary:	Email::MIME::Encodings - a unified interface to MIME encoding and decoding
Summary(pl.UTF-8):	Email::MIME::Encodings - jednolity interfejs do kodowania i dekodowania MIME
Name:		perl-Email-MIME-Encodings
Version:	1.315
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0fbe906d7918430750b1ba766cf95151
URL:		http://search.cpan.org/dist/Email-MIME-Encodings/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-Base64 >= 3.05
BuildRequires:	perl(MIME::QuotedPrint) >= 3.03
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module simply wraps MIME::Base64 and MIME::QuotedPrint so that
you can throw the contents of a Content-Transfer-Encoding header at
some text and have the right thing happen.

%description -l pl.UTF-8
Ten moduł w prosty sposób obudowuje MIME::Base64 i MIME::QuotedPrint
tak, że można rzutować zawartość nagłówka Content-Transfer-Encoding na
jakiś tekst i wtedy stanie się to, co powinno.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Email/MIME
%{perl_vendorlib}/Email/MIME/*.pm
%{_mandir}/man3/*
%changelog
* Mon Nov 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-MIME-Encodings.git;a=log;h=master

* Mon Nov 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5947b2c
- up to 1.315

* Fri Sep 11 2009 amateja <amateja@pld-linux.org> 917db4d
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 0dbecca
- updated to 1.313

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f4b1802
- release 2

* Mon May 12 2008 Jakub Bogusz <qboosh@pld-linux.org> cbb3b47
- generic URL

* Sun May 11 2008 hawk <hawk@pld-linux.org> d800c02
- update to 1.311

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b86b600
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 28b8aaf
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ab5e019
- formatting

* Tue Nov 02 2004 Jakub Bogusz <qboosh@pld-linux.org> a842147
- these BRs should do

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> b63016e
- Release 2

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> d211fb1
- builder-friendly BuildRequires

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 328ec3d
- updated to 1.3

* Thu May 06 2004 ankry <ankry@pld-linux.org> f9c2bc8
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 63ce93c
- new bconds

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 64d5c19
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 41d018a
- cosmetics

* Sun Feb 08 2004 misi3k <misi3k@pld-linux.org> 3c31829
- updated to 1.1

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 238397c
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 4d38932
- fixed changelog trailer

